Subject: Re: [PATCH/POLL] git-format-patch: the default suffix is now .patch, not .txt

From: Andreas Ericsson <[email-masked]>
Date: Thu, 18 Jan 2007 15:10:48 +0100

Alex Riesen wrote:
> On 1/18/07, Josh Boyer <[email-masked]> wrote:
>> > As much as like Unix and everything related, I think it is
>> > not reasonable to try to change the majority. Not unless
>> > we have something earth-shattering. Well, git is, but
>> > 0001-fix....patch in email attachment probably not.
>>
>> I would venture to say that the _majority_ of git users are not using
>> Windows.
> 
> The _real_ majority of the programmers desperately need a better
> VCS than CVS, SVN, Perforce, SourceSafe, ClearCase, etc.
> 

They're free to use git ofcourse, provided they install cygwin or help 
migrate it to run natively on windows. I don't think anyone would cry if 
a competent cross-platform programmer stepped up and started submitting 
patches to get git working on windows without having to resort to the 
cygwin emulation layer.

The thing is, no-one's getting paid for it, so until someone *does* step 
up, it won't happen, as 95% of the *current* git users are still running 
what we on this list will indefinitely refer to as "a sane OS".

>> In this enviroment, Linux is likely the dominant OS,
>> followed by other *nix.  So changing the extention to benefit the
>> majorit of _git's_ users is a good thing.
> 
> Yes. For me and you. One of my coworkers knows nothing about patches,
> but wants (and perfectly able to) review my code. He has usable brains
> and is able to figure out what "+" and "-" is (he has, by now). He hasn't
> even realized that it was an automatically generated information, as
> I sent a patch to him first time, thought it was just a funny way to
> document changes (and was surprised when I told him a patch can be
> applied automatically, even if the original file is not exactly the same).
> But he is a typical windows-trained programmer. Lazy, unmotivated and
> happily married. He does programming by accident (was smart enough
> to learn the basics of the trade). Why would he want to take the an
> extra step of figuring out what that strange "0001-...patch" means?
> Now, I know him, would never think about sending him a real patch.
> I'm kinda grown and tired, and need the bastard, too. Someone younger
> will just call him idiot and "improve" the situation by telling him about
> "stupid windows" and "he should the right ways". Just to be answered
> "it worked for some millions programmers before you" and "I told your
> manager you making problems and are hard to communicate with".
> 
> People often understand "funny ways" the others may have. They
> don't like been told they are wrong or stupid (especially when they
> actually are stupid).

I still don't see the problem. When he understands (and uses) git, the 
name and look of the patch will become blindingly clear to him, and then 
it doesn't matter if it's called .txt or .patch. He might even have some 
tool by then that displays patches color-coded and what-not (there are a 
plethora of such tools for Windows already, most of which register 
.patch and .diff as file-types they handle).

Otoh, *until* he uses git, the change doesn't affect him, so why bother 
catering for his needs?

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231